Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class UserManagementTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag

Direct Known Subclasses:
  GetChildGroupNamesTag, GetGroupNamesForUserTag, GetParentGroupNameTag, GetTopLevelGroupsTag, GetUserNamesForGroupTag, GetUserNamesTag, LogoutTag, PropertyTag, ResultTag

public abstract class UserManagementTag
extends javax.servlet.jsp.tagext.TagSupport
implements UserManagementTagConstants

Base class for all user managment tags. This provides convience methods to access the UserManager session bean, and debugging flags that can be shared among other tags.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `GROUP_MGR_REF`
`static java.lang.String` | `USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`UserManagementTag()`

Method Summary
`protected GroupManager` | `getGroupManager()` Return an instance of the UserManager session bean
`protected UserManager` | `getUserManager()` Return an instance of the UserManager session bean
`void` | `release()`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_MGR_REF

    public static final java.lang.String USER_MGR_REF

### GROUP_MGR_REF

    public static final java.lang.String GROUP_MGR_REF

Constructor Detail

### UserManagementTag

    public UserManagementTag()

Method Detail

### getUserManager

    protected UserManager getUserManager()

  Return an instance of the UserManager session bean

### getGroupManager

    protected GroupManager getGroupManager()

  Return an instance of the UserManager session bean

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved